Subject: Re: bug#23276: 25.0.92; Crash in auto-revert when file no longer present

From: John Wiegley <[email-masked]>
Date: Sat, 16 Apr 2016 18:54:17 -0700

>>>>> Eli Zaretskii <[email-masked]> writes:

> And I still am not convinced that deleting a file under auto-revert
> shouldn't erase its buffer. Otherwise, it sounds like just half-auto-revert
> to me. Would we keep the buffer non-empty if the file existed but was empty?

I would not want it to erase the buffer. Countless have been the times that
I've been working on a project, and an unbridled rm took away code from the
disk which I was very grateful to find was still in a buffer.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2